Create Template
Create a new design template. Use the Design Builder to experiment with options, then copy the JSON into design.builderData and design.frameData to save it as a reusable template.
POST
/templatesHeaders
| Header | Required | Description |
|---|---|---|
X-API-Key | Required | Your API key |
Content-Type | Required | application/json |
QR-Version | Optional | API version (e.g., 2026-02-16) |
Body Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
name | string | Required | Template name (2–80 characters) |
design | object | Required | QR design with builderData and frameData (see Design Builder) |
Request
- cURL
- JavaScript
- Python
curl -X POST "https://integration-api.qr-build.com/templates" \
-H "X-API-Key: qrb_live_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"name": "Brand Style",
"design": {
"builderData": {
"dotsOptions": { "color": "#212B36", "type": "rounded" },
"backgroundOptions": { "color": "transparent" },
"cornersSquareOptions": { "color": "#212B36", "type": "square" },
"cornersDotOptions": { "color": "#212B36", "type": "square" }
},
"frameData": {
"type": "simple-text",
"text": "Scan me!",
"color": "#212B36",
"textColor": "#212B36",
"background": "transparent"
}
}
}'
const response = await fetch(
"https://integration-api.qr-build.com/templates",
{
method: "POST",
headers: {
"X-API-Key": "qrb_live_your_api_key_here",
"Content-Type": "application/json",
},
body: JSON.stringify({
name: "Brand Style",
design: {
builderData: {
dotsOptions: { color: "#212B36", type: "rounded" },
backgroundOptions: { color: "transparent" },
cornersSquareOptions: { color: "#212B36", type: "square" },
cornersDotOptions: { color: "#212B36", type: "square" },
},
frameData: {
type: "simple-text",
text: "Scan me!",
color: "#212B36",
textColor: "#212B36",
background: "transparent",
},
},
}),
}
);
const data = await response.json();
import requests
response = requests.post(
"https://integration-api.qr-build.com/templates",
headers={
"X-API-Key": "qrb_live_your_api_key_here",
"Content-Type": "application/json",
},
json={
"name": "Brand Style",
"design": {
"builderData": {
"dotsOptions": {"color": "#212B36", "type": "rounded"},
"backgroundOptions": {"color": "transparent"},
"cornersSquareOptions": {"color": "#212B36", "type": "square"},
"cornersDotOptions": {"color": "#212B36", "type": "square"},
},
"frameData": {
"type": "simple-text",
"text": "Scan me!",
"color": "#212B36",
"textColor": "#212B36",
"background": "transparent",
},
},
},
)
data = response.json()
Response
{
"object": "template",
"success": true,
"data": {
"id": "tpl-aBc123XyZ9",
"name": "Brand Style",
"design": { "builderData": { ... }, "frameData": { ... } },
"created_at": "2026-02-16T10:30:00Z",
"updated_at": "2026-02-16T10:30:00Z"
}
}